#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>

static const int MAXG = 32;
static const int MAXL = 32;

int G, L;

bool Read()
{
	scanf( "%d%d", &G, &L );
	if( G == 0 && L == 0 )
		return false;
	return true;
}

int R[ 1 + MAXG ][ 1 + MAXL ];

void Work()
{
	int i, j;

	for( j = 0; j <= L; ++j )
		R[ 0 ][ j ] = 0;

	for( i = 1; i <= G; ++i )
	{
		R[ i ][ 0 ] = i;
		for( j = 1; j <= L; ++j )
			R[ i ][ j ] = R[ i - 1 ][ j - 1 ] + 1 + R[ i - 1 ][ j ];
	}
}

void Write( int t )
{
	printf( "Case %d: %d\n", t, R[ G ][ L ] );
}

int main()
{
	int i;
	for( i = 0; Read(); ++i )
	{
		Work();
		Write( i + 1 );
	}
	return 0;
}
